UPDATE-EXIM4DEFAULTS(8)

NAME
update-exim4defaults - Manage exim4 daemon default file.

SYNOPSIS
update-exim4defaults [ --qflags flags ] [ --queuerunner combined|queueonly|separate|ppp|no|nodaemon ] [ --queuetime time ] [ --commonoptions options ] [ --queuerunneroptions options ] [ --smtplisteneroptions options ] [ --remove-common options ] [ --remove-queue options ] [ --remove-smtp options ] [ --force|-f ] [ --help|-h ] [ --init ]

DESCRIPTION
update-exim4defaults allows to set run parameters for the Exim daemon in /etc/default/exim4. Its main purpose is for interaction with packages enhancing Exim like virus-scanners that need to change the way the exim daemon is started.

OPTIONS

--help|-h
    Print short usage instructions and exit.

--qflags flags
    Set qflags, special flags given to exim directly after the “-q”. See exim(8) for more information.

--queuerunner combined|queueonly|separate|ppp|no|nodaemon
    Should the init script start one daemon that listens on the smtp port for incoming connections and runs the queue at regular intervals (combined) , or should it start two separate daemons, one listening on the smtp port, the other running the queue (separate) , or should the queue only be run by /etc/ppp/ip-up.d/exim4 (ppp) , or shouldn't we run the queue at all, for example if you'd rather do this with cron ? Or should we only start a queuerunner (queueonly) or no daemon at all (nodaemon) ?

--queuetime time
    In which intervals should we run the queue? This passed as option -q<qflags>time to Exim, e.g. -q30m or -qq1h.

--commonoptions options
    Options passed both to queue-running and listening instances of Exim.

--queuerunneroptions options
    Options only passed to the instance of Exim running the queue.

--smtplisteneroptions options
    Options only passed to the instance of Exim listening on the SMTP port.

--force|-f
    Without this option update-exim4defaults exits with an error if at least one of the options --queuetime, --commonoptions, --queuerunneroptions or --smtplisteneroptions is used and the corresponding value in /etc/default/exim4 is already set to a nonempty value.

--remove-common option
    Try to remove the given option from COMMONOPTIONS.

--remove-queue option
    Try to remove the given option from QUEUERUNNEROPTIONS.

--remove-smtp option
    Try to remove the given option from SMTPLISTENEROPTIONS.

The --remove-commands cannot be used at the same time as any of --commonoptions, --queuerunneroptions or --smtplisteneroptions. The --remove-commands will additionally remove whitespace at the begining and the end of the option and exchange multiple spaces wi a single one.

--init
    create a default /etc/default/exim4 file and exit immediately. Unless --force was also specified update-exim4defaults exits (successfully) without doing anything if /etc/default/exim4 already exists. All other options are ignored.

EXIT STATUS

0   change was successfull or nothing needed to be done.

1   generic error: wrong options, unreadable configuration file, etc.

2   QUEUEINTERVAL was already set.

4   COMMONOPTIONS was already set.

8   QUEUERUNNEROPTIONS was already set.

16  SMTPLISTENEROPTIONS was already set.

32  QFLAGS was already set.

64  --remove-something failed, i.e. the value of the option was not changed.

Exit codes 2 to 32 will be summed up, if more than one unsuccesful option was given.

FILES

/etc/default/exim4
    The configuration file.

/etc/init.d/exim4
    The Exim init-script.

/etc/ppp/ip-up.d/exim4
    The queuerunner in this file also uses COMMONOPTIONS and QUEUERUNNEROPTIONS and does not run if QUEUERUNNER=no.

SEE ALSO
exim(8), /usr/share/doc/exim4-base/

AUTHOR
Andreas Metzler <ametzler at downhill.at.eu.org>